/*
 * project.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

/*
 * $Id: project.h,v 1.3 2000/09/24 01:12:43 root Exp $
 */

/*
 * $Log: project.h,v $
 * Revision 1.3  2000/09/24 01:12:43  root
 * #
 *
 * Revision 1.2  2000/09/19 03:53:27  root
 * #
 *
 */

#ifndef __PROJECT_H__
#define __PROJECT_H__


#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <malloc.h>

#include <limits.h>

#include <db.h>
#include <ftw.h>

#include <string.h>
#include <strings.h>

#include "libfiles.h"

#include "int_protos.h"

#ifdef INTERNAL
#define EXTERNAL static
#define BOTH static
#else
#ifdef  EXTERNAL
#define INTERNAL static
#define BOTH
#else
#define INTERNAL
#define BOTH     
#define EXTERNAL
#endif
#endif

#endif __PROJECT_H__
