/*
 * hifimsg_private.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id:$
 *
 * $Log:$
 *
 */

#ifndef __HIFIMSG_PRIVATE_H_ /* include guard */
#define __HIFIMSG_PRIVATE_H_
#include <stdio.h>
#include <malloc.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <time.h>

typedef struct connexion_struct {
int fd,fd2;
int local;
int forward;
void *h;
int (*recv)(void *hnd,void *msg,int len); /*Return of zero idicates */
					/* that this message is not a message*/
int (*send)(void *hnd,void *msg,int len);
void (*close)(void *hnd);
struct connexion_struct *next;
} *Connexion;






#include "hifimsg_protos.h"

#endif /* __HIFIMSG_PRIVATE_H_ */
