/*
 * hifi.c:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 * All rights reserved.
 *
 * $Log: hifi.c,v $
 * Revision 1.1  2000/11/23 23:45:36  root
 * #
 *
 *
 */



static char rcsid[] = "$Id: hifi.c,v 1.1 2000/11/23 23:45:36 root Exp $";

#include "project.h"


void
hifi_valid_cmd (Byte sclass, Byte sunit, Byte dclass, Byte dunit, Word cmd,
                Byte * data, Word len)
{

  switch (dclass)
    {
    case HIFI_CLASS_WAVE:
      wave_cmdst_message (dunit, cmd, data, len);
      break;
    }

}

void
hifi_dispatch ()
{
  extern void *msglib;

  Byte buf[1024];
  int len;
  int i;

  Word w, l;
  Byte class, unit, d;


  len = hifi_recv (msglib, buf, sizeof (buf));
  if (len <= 0)
    return;


#ifdef DEBUG
  {
    putchar ('>');
    for (i = 0; i < len; ++i)
      {
        printf (" %02x", buf[i]);
      }
    putchar ('\n');
    fflush (stdout);
  }
#endif

  hifi_new_packet (msglib, buf, len, hifi_valid_cmd);

}
