/*
 * project.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

/*
 * $Id: project.h,v 1.4 2000/11/23 23:45:30 root Exp $
 */

/*
 * $Log: project.h,v $
 * Revision 1.4  2000/11/23 23:45:30  root
 * #
 *
 * Revision 1.3  2000/10/07 18:30:11  root
 * #
 *
 * Revision 1.2  2000/10/07 16:41:53  root
 * #
 *
 * Revision 1.1  2000/10/06 06:21:43  root
 * #
 *
 */

#ifndef __PROJECT_H__
#define __PROJECT_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <unistd.h>

#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>

#define TAB_SYSTEM 0
#define TAB_TUNER  1
#define TAB_CD     2
#define TAB_MPEG   3
#define TAB_WAVE  4
#define TAB_OGG  5
#define TAB_PREFS  6
#define NUM_TABS   7

extern Panel panels[NUM_TABS];

#define SLW 250
#define SLSEP 25

#define WIDTH 400
#define HEIGHT 400

extern int tunerunit, cdunit, mpegunit, waveunit, pcmunit, systemunit,
  clockunit, clientunit, oggunit;

#include "hifi.h"

#include "hifimsg.h"

#include "libfiles.h"

#include "prototypes.h"

extern void *msglib;
#endif /* __PROJECT_H__ */
