/*
 * main.c:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 * All rights reserved.
 *
 * $Log: main.c,v $
 * Revision 1.4  2000/10/07 18:30:06  root
 * #
 *
 * Revision 1.3  2000/10/06 19:52:20  root
 * #
 *
 * Revision 1.2  2000/09/24 01:12:43  root
 * #
 *
 * Revision 1.1  2000/09/24 01:11:47  root
 * #
 *
 * Revision 1.6  2000/02/21 04:11:27  root
 * #
 *
 * Revision 1.5  2000/02/21 04:01:00  root
 * #
 *
 * Revision 1.4  2000/02/20 03:03:53  root
 * #
 *
 * Revision 1.3  2000/02/20 02:52:13  root
 * #
 *
 * Revision 1.2  2000/02/16 13:51:59  root
 * #
 *
 * Revision 1.1  2000/02/16 13:50:11  root
 * Initial revision
 *
 *
 */

static char rcsid[] = "$Id: main.c,v 1.4 2000/10/07 18:30:06 root Exp $";

#include "project.h"

#include <sys/socket.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <signal.h>

#include <endian.h>


void *msglib;

Lcd lcd;

void
dispatch (void)
{
  printf ("octopus\n");
  hifi_dispatch ();
}

/*
 * Function main (argc, )
 *
 *    Initialize and try to receive test frames
 *
 */
int
main (int argc, char *argv[])
{

  struct Lcd_struct ls = LCD_H2571;
  lcd = lcd_open (ls);

  lcd_reset (lcd);

  lcd_dpy_ctrl (lcd, 1, 0, 0);


  msglib = hifi_open (HIFI_CLASS_DISPLAY, lcdunit);



  while (1)
    {
      dispatch ();
    }
  hifimsg_close (msglib);
}
