//
// resources.h:
//
// Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
// 
// $Id: resources.h,v 1.9 2000/11/23 23:45:28 root Exp $
//
// $Log: resources.h,v $
// Revision 1.9  2000/11/23 23:45:28  root
// #
//
// Revision 1.8  2000/10/07 18:30:10  root
// #
//
// Revision 1.7  2000/09/29 11:07:42  root
// #
//
// Revision 1.6  2000/09/29 07:53:48  root
// #
//
// Revision 1.5  2000/09/29 07:53:02  root
// #
//
// Revision 1.4  2000/09/24 01:12:53  root
// #
//
// Revision 1.3  2000/09/19 09:36:01  root
// #
//
// Revision 1.2  2000/02/20 03:17:22  root
// #
//
// Revision 1.1  2000/02/20 03:16:39  root
// #
//
//
//


// Geometry
#define ScreenWidth 160
#define TabHeight 13

#define DummyId 1

#define AllMenu	 	 9000
#define MenuAboutId	 9001
#define MenuPrefId	 9002
#define MenuFavId	 9003

// System form
#define SystemForm	 1000
#define SystemPowerButton 1003
#define SystemSleepLbl	1010
#define SystemSleepOff	1011
#define SystemSleep30		1012
#define SystemSleep45		1013
#define SystemSleep60		1014
#define SystemSleep90		1015

#define SystemTunVolLbl	1020
#define SystemTunVolume 1021
#define SystemCdVolLbl	1022
#define SystemCdVolume  1023
#define SystemMpgVolLbl	1024
#define SystemMpgVolume 1025
#define SystemWavVolLbl	1026
#define SystemWavVolume 1027
#define SystemOggVolLbl	1032
#define SystemOggVolume 1033
#define SystemPcmVolLbl	1028
#define SystemPcmVolume 1029
#define SystemMasVolLbl	1030
#define SystemMasVolume 1031

#define SystemStLeft 10
#define SystemStTop  35
#define SystemTimeLeft 10
#define SystemTimeTop  46

#define SGW 120
#define SGO 35
#define SGLO 1
#define SGS 0


#define SerialInUseAlert 1011
#define VersionAlert     1012

//CDplayer form
#define CdForm 2000
#define CdMenu 2002
#define CdStopButton 2014
#define CdEjectButton 2015

#define CdPbLeft 10
#define CdPbTop 15
#define CdPbWidth 22
#define CdPbHeight 22

#define CdPbBase 2100
#define CdPbNum  18
#define CdPbMax  2118

#define CdVolume 2016
#define CdVolLbl 2018
#define CdVgLeft 50
#define CdVgTop 112

#define CdProgress 2017
#define CdProgLbl 2019
#define CdPgLeft 50
#define CdPgTop 144

#define CdStLeft 10
#define CdStTop  86
#define CdStWidth 130
#define CdStHeight 10

//Favourite form 
#define FavForm   3000
#define FavLabel  3001
#define FavField  3002
#define FavAdd	  3003
#define FavRemove 3004
#define FavPop    3005
#define FavList   3006
#define FavDone   3007

//Mpeg form
#define MpegForm 4000
#define MpegFindLabel 4022
#define MpegFindField 4021
#define MpegRescanButton 4013
#define MpegRandomButton 4015
#define MpegStopButton 4014
#define MpegList 	4020
#define MpegFavrPop     4030
#define MpegHistPop     4031
#define MpegFavrList    4032
#define MpegHistList    4033
#define MpegListLen	13


#define MpegVolume 4016
#define MpegVolLbl 4018
#define MpegVgLeft 50
#define MpegVgTop 124
#define MpegProgress 4017
#define MpegProgLbl 4019
#define MpegPgLeft 50
#define MpegPgTop 144


#define MpegStLeft 10
#define MpegStTop  105
#define MpegStWidth 150
#define MpegStHeight 10

#define MpegTtLeft 10
#define MpegTtTop  14
#define MpegTtWidth 150
#define MpegTtHeight 9


//Tuner form
#define TunerForm 		5000
#define TunerDial 		5003
#define TunerVolume 		5004
#define TunerUpButton 		5005
#define TunerDownButton 	5006
#define TunerMonoButton 	5007
#define TunerStereoButton 	5008
#define TunerDialLbl		5009
#define TunerVolLbl		5010

#define TunerOffButton 5100
#define TunerR1Button 5101
#define TunerR2Button 5102
#define TunerR3Button 5103
#define TunerR4Button 5104
#define TunerCambButton 5105
#define TunerQ103Button 5106
#define TunerVibeButton 5107
#define TunerCafeButton 5108
#define TunerCFMButton 5109

#define TunerStLeft 10
#define TunerStTop  95
#define TunerStWidth 150
#define TunerStHeight 10

#define WaveForm		6000
#define WaveList		6001
#define WaveStLeft		10
#define WaveStTop		105
#define WaveStWidth		130
#define WaveStHeight		10
#define WaveRecordButton	6002
#define WaveStopButton		6003
#define WaveVolLbl		6004
#define WaveVolume		6005
#define WaveProgLbl		6006
#define WaveProgress		6007
#define WaveVgLeft 50
#define WaveVgTop 124
#define WavePgLeft 50
#define WavePgTop 144

#define OggStLeft 10
#define OggStTop  14
#define OggStWidth 150
#define OggStHeight 9

#define OggForm			6500
#define OggStreamLabel		6501
#define OggStream		6502
#define OggDateLabel		6503
#define OggYear			6504
#define OggSL1			6505
#define OggMon			6506
#define OggSL2			6507
#define OggDay			6508
#define OggTimeLabel		6509
#define OggHour			6510
#define OggCL1			6511
#define OggMin			6512
#define OggCL2			6513
#define OggSec			6514

#define OggNowButton		6530
#define OggTOHButton		6531
#define OggLess5Button		6532
#define OggPlus5Button		6533
#define OggLessDButton		6534
#define OggPlusDButton		6535

#define Ogg7amButton		6536
#define Ogg1pmButton		6537
#define Ogg215pmButton		6538
#define Ogg1045pmButton		6539
#define Ogg0030amButton		6540

#define OggStopButton		6550
#define OggVolLbl		6551
#define OggVolume		6552
#define OggLessHButton		6553
#define OggPlusHButton		6554

#define PXS			5
#define PYS			5
#define PrefForm		7000
#define PrefBase		7001
#define PrefNum 		8
#define PrefSysId		7001
#define PrefTunId		7002
#define PrefCdId		7003
#define PrefMpgId		7004
#define PrefWavId		7005
#define PrefOggId		7006
#define PrefClkId		7007
#define PrefMyId		7008

#define PrefSysIdL		7011
#define PrefTunIdL		7012
#define PrefCdIdL		7013
#define PrefMpgIdL		7014
#define PrefWavIdL		7015
#define PrefClkIdL		7016
#define PrefMyIdL		7017

#define PrefDone		7100

#define AboutForm		8000
#define AboutFrmBit		8000
#define AboutDone		8001
#define AboutBitmap		8002
