/*
 * hifi_generic.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: hifi_generic.h,v 1.9 2002/04/02 10:07:18 root Exp root $
 *
 * $Log: hifi_generic.h,v $
 * Revision 1.9  2002/04/02 10:07:18  root
 * *** empty log message ***
 *
 * Revision 1.8  2000/11/23 23:45:24  root
 * #
 *
 * Revision 1.7  2000/11/23 23:44:47  root
 * #
 *
 * Revision 1.6  2000/10/07 18:30:09  root
 * #
 *
 * Revision 1.5  2000/09/29 13:18:24  root
 * #
 *
 * Revision 1.4  2000/09/24 01:46:07  root
 * #
 *
 * Revision 1.3  2000/02/20 03:10:18  root
 * #
 *
 * Revision 1.2  2000/02/20 03:09:30  root
 * #
 *
 *
 */

#ifndef __HIFI_GENERIC_H_       /* include guard */
#define __HIFI_GENERIC_H_

#define HIFI_CMD_NOOP		HIFI_CMD(HIFI_CLASS_GENERIC,0x0) /*No args */

#define HIFI_CMD_VOL		HIFI_CMD(HIFI_CLASS_GENERIC,0x20) /*Byte for left,Byte for right 0xa0=FSD */
#define HIFI_CMD_BAL		HIFI_CMD(HIFI_CLASS_GENERIC,0x21) /*Byte 0 full left 128 cntr 255 full right */
#define HIFI_ST_VOL		HIFI_ST(HIFI_CLASS_GENERIC,0x20) /*Byte for left,Byte for right 0xa0=FSD */
#define HIFI_ST_BAL		HIFI_ST(HIFI_CLASS_GENERIC,0x21) /*Byte 0 full left 128 cntr 255 full right */
#define HIFI_CMD_SL_VOL		HIFI_CMD(HIFI_CLASS_GENERIC,0x22) /*Byte for left,Byte for right 0xa0=FSD */
#define HIFI_CMD_STOP		HIFI_CMD(HIFI_CLASS_GENERIC,0x40) /*No args */
#define HIFI_CMD_PLAY		HIFI_CMD(HIFI_CLASS_GENERIC,0x41) /*No args */
#define HIFI_CMD_PAUSE		HIFI_CMD(HIFI_CLASS_GENERIC,0x42) /*No args */
#define HIFI_CMD_EJECT		HIFI_CMD(HIFI_CLASS_GENERIC,0x43) /*No args */
#define HIFI_CMD_RECORD		HIFI_CMD(HIFI_CLASS_GENERIC,0x44) /*No args */
#define HIFI_CMD_RANDOM		HIFI_CMD(HIFI_CLASS_GENERIC,0x45) /*No args */

#endif /* __HIFI_GENERIC_H_ */
