/*
 * hifi_system.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: hifi_system.h,v 1.5 2000/11/23 23:44:47 root Exp $
 *
 * $Log: hifi_system.h,v $
 * Revision 1.5  2000/11/23 23:44:47  root
 * #
 *
 * Revision 1.4  2000/09/29 13:18:24  root
 * #
 *
 * Revision 1.3  2000/02/20 03:10:18  root
 * #
 *
 * Revision 1.2  2000/02/20 03:09:30  root
 * #
 *
 *
 */

#ifndef __HIFI_SYSTEM_H_        /* include guard */
#define __HIFI_SYSTEM_H_

//Null term string about system health/state
#define HIFI_ST_SYSTEM_OFF		HIFI_ST(HIFI_CLASS_SYSTEM,1)
#define HIFI_ST_SYSTEM_STATE		HIFI_ST(HIFI_CLASS_SYSTEM,3)
#define HIFI_ST_SYSTEM_PCM_VOL		HIFI_ST(HIFI_CLASS_SYSTEM,4)
#define HIFI_ST_SYSTEM_SPDIF		HIFI_ST(HIFI_CLASS_SYSTEM,5)

//Turn off
#define HIFI_CMD_SYSTEM_OFF		HIFI_CMD(HIFI_CLASS_SYSTEM,1)
#define HIFI_CMD_SYSTEM_PCM_VOL		HIFI_CMD(HIFI_CLASS_SYSTEM,4)
#define HIFI_CMD_SYSTEM_SPDIF		HIFI_CMD(HIFI_CLASS_SYSTEM,5)
#define HIFI_CMD_SYSTEM_SLEEP		HIFI_CMD(HIFI_CLASS_SYSTEM,6)


#endif /* __HIFI_SYSTEM_H_ */
