/*
 * hifi_cd.h:
 *
 * Copyright (c) 2000 James McKenzie <james@fishsoup.dhs.org>.
 *
 * $Id: hifi_tuner.h,v 1.1 2002/04/02 10:07:18 root Exp root $
 *
 * $Log: hifi_tuner.h,v $
 * Revision 1.1  2002/04/02 10:07:18  root
 * Initial revision
 *
 * Revision 1.1  2000/02/20 03:18:15  root
 * #
 *
 * Revision 1.3  2000/02/20 03:10:18  root
 * #
 *
 * Revision 1.2  2000/02/20 03:09:30  root
 * #
 *
 *
 */

#ifndef __HIFI_TUNER_
#define __HIFI_TUNER_
#define HIFI_ST_TUNER_STATE	HIFI_ST(HIFI_CLASS_TUNER,1)
#define HIFI_CMD_TUNER_TUNE	HIFI_CMD(HIFI_CLASS_TUNER,1)
#define HIFI_CMD_TUNER_SEARCH_UP	HIFI_CMD(HIFI_CLASS_TUNER,2)
#define HIFI_CMD_TUNER_SEARCH_DOWN	HIFI_CMD(HIFI_CLASS_TUNER,3)
#define HIFI_CMD_TUNER_MONO	HIFI_CMD(HIFI_CLASS_TUNER,4)
#define HIFI_CMD_TUNER_STEREO	HIFI_CMD(HIFI_CLASS_TUNER,5)

#define  HIFI_TUNER_Band_LW	0
#define  HIFI_TUNER_Band_MW	1	
#define  HIFI_TUNER_Band_SW	2
#define  HIFI_TUNER_Band_FM	3

#define  HIFI_TUNER_Search_Down 0
#define  HIFI_TUNER_Search_Up   1

#define  HIFI_TUNER_Stereo      0
#define  HIFI_TUNER_Mono        1

#define HIFI_TUNER_Freq_Mute    0

typedef struct
  {
    Byte band;
    DWord freq;	/*Frequency in Hz*/
  }
  Hifi_Radio_Frequency;

typedef struct 
  {
    Hifi_Radio_Frequency f;
    Byte lock;
    Byte stereo;
}
Hifi_Tuner_State;


#endif /* __HIFI_TUNER_H_ */
